Jump to content


Photo

enigma2-plugins translation


  • Please log in to reply
2 replies to this topic

#1 Pr2

  • PLi® Contributor
  • 2,733 posts

+112
Excellent

Posted 3 May 2018 - 13:13

Hi to all translators,

 

I have update and created all the po files for the plugin that are in enigma2-plugins repository.

I have created the file for all the languages supported by OpenPLi.

 

Please find the very latest pot and po files from my github.

 

https://github.com/p...enigma2-plugins

 

When your translation is done, please create a PR towards the OpenPLi git and not toward mine, so please fork from OpenPLi and not from mine.

Just pick up the file from my repository and copy it into your local copy.

Thanks for your understanding.

 

https://github.com/O...enigma2-plugins

 

If you add a new language po file, that was not yet supported don't forget to edit the file Makefile.am in the plugin /po/ folder and add the language code, otherwise your added language won't be take into consideration during build process.

 

Regards,

 

Pr2


NO SUPPORT by PM, it is a forum make your question public so everybody can benefit from the question/answer.

If you think that my answer helps you, you can press the up arrow in bottom right the answer.

 

Octagon SF-4008: Hotbird 13.0E, Astra 19.2E, Eutelsat5A 5.0W (+DVB-C)
VU+ Solo 4K: 2*DVB-S2 + 2*DVB-C/T/T2 (used in DVB-C)
Zgemma H5: 1*DVB-S2 + 1*DVB-C

Zgemma H7C: 1*DVB-S2 + 2*DVB-C


Re: enigma2-plugins translation #2 Pr2

  • PLi® Contributor
  • 2,733 posts

+112
Excellent

Posted 3 May 2018 - 15:01

Hi again,

 

For people willing to have the plugin EPGimport translated you can find here all the latest language files:

 

https://github.com/p...PGImport/locale

 

Please fork from OpenPLi repository (so don't fork mine) and propose your updated files to OpenPLi (not to my repository):

 

https://github.com/O...sions-epgimport

 

For this plugin no need to modify any other file to include your translation in the next build, simply propose your file to OpenPLi with a Pull Request.

The packaging process for this plugin is different.

 

Thanks,

 

Pr2


NO SUPPORT by PM, it is a forum make your question public so everybody can benefit from the question/answer.

If you think that my answer helps you, you can press the up arrow in bottom right the answer.

 

Octagon SF-4008: Hotbird 13.0E, Astra 19.2E, Eutelsat5A 5.0W (+DVB-C)
VU+ Solo 4K: 2*DVB-S2 + 2*DVB-C/T/T2 (used in DVB-C)
Zgemma H5: 1*DVB-S2 + 1*DVB-C

Zgemma H7C: 1*DVB-S2 + 2*DVB-C


Re: enigma2-plugins translation #3 Pr2

  • PLi® Contributor
  • 2,733 posts

+112
Excellent

Posted 11 May 2018 - 17:41

Hi,

 

You can now use the po and pot files from official OpenPLi git since they are all up-to-date.

So if you want to add a new language you can use the provided pot file in the plugin po folder.

 

https://github.com/O...enigma2-plugins

 

If you are not familiar with git, you can attach your translation files and I will create the Pull Request for you.

Click on button: More reply option to be able to attach files.

 

Pr2


NO SUPPORT by PM, it is a forum make your question public so everybody can benefit from the question/answer.

If you think that my answer helps you, you can press the up arrow in bottom right the answer.

 

Octagon SF-4008: Hotbird 13.0E, Astra 19.2E, Eutelsat5A 5.0W (+DVB-C)
VU+ Solo 4K: 2*DVB-S2 + 2*DVB-C/T/T2 (used in DVB-C)
Zgemma H5: 1*DVB-S2 + 1*DVB-C

Zgemma H7C: 1*DVB-S2 + 2*DVB-C





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users